<?php 
	$user = cmsUser::getInstance();
	$host = cmsConfig::getInstance()->get('host');
	$cl = $host . $_SERVER['REDIRECT_URL'];
	$cat = isset($item['category']['title']) ? $item['category']['title'] : 'Нет категории';
?>

<?php if ($fields['title']['is_in_item']){ ?>
    <h1 itemprop="headline">
        <?php if ($item['parent_id']){ ?>
            <div class="parent_title">
                <a href="<?php echo href_to($item['parent_url']); ?>"><?php html($item['parent_title']); ?></a> &rarr;
            </div>
        <?php } ?>
        <?php html($item['title']); ?>
        <?php if ($item['is_private']) { ?>
            <span class="is_private" title="<?php html(LANG_PRIVACY_PRIVATE); ?>"></span>
        <?php } ?>
        <?php if($user->is_admin || $user->id == $item['user_id']){ ?>
		<div class="pull-right t_ct_controls">
			<div class="dropdown btn_control_ctype">
				<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-caret-down"></i></a>
				<ul class="dropdown-menu" role="menu">
				<?php if(cmsUser::isAllowed($ctype['name'], 'edit', 'all') || (cmsUser::isAllowed($ctype['name'], 'edit', 'own'))){ ?><li><a href="<?php echo href_to($ctype['name'], 'edit', $item['id']); ?>">Изменить</a></li><?php } ?>
				<?php if(cmsUser::isAllowed($ctype['name'], 'delete', 'all') || (cmsUser::isAllowed($ctype['name'], 'delete', 'own'))){ ?><li><a href="<?php echo href_to($ctype['name'], 'delete', $item['id']); ?>" onclick="if(!confirm('<?php html(sprintf(LANG_CONTENT_DELETE_ITEM_CONFIRM, $ctype['labels']['create'])); ?>')){ return false; }">Удалить</a></li><?php } ?>
				</ul>
			</div>
		</div>
		<?php } ?>
    </h1>
	
    <?php unset($fields['title']); ?>
<?php } ?>

<div class="content_item <?php echo $ctype['name']; ?>_item" itemscope itemtype="http://schema.org/Article">
	<meta itemscope itemprop="mainEntityOfPage"  itemType="https://schema.org/WebPage" itemid="<?php html($cl); ?>"/>
    <?php foreach($fields as $name=>$field){ ?>

        <?php if (!$field['is_in_item']) { continue; } ?>
        <?php if ($field['is_system']) { continue; } ?>
        <?php if (empty($item[$field['name']])) { continue; } ?>
        <?php if ($field['groups_read'] && !$user->isInGroups($field['groups_read'])) { continue; } ?>

        <?php
            if (!isset($field['options']['label_in_item'])) {
                $label_pos = 'none';
            } else {
                $label_pos = $field['options']['label_in_item'];
            }
        ?>

        <div class="field ft_<?php echo $field['type']; ?> f_<?php echo $field['name']; ?>">

            <?php if ($label_pos != 'none'){ ?>
                <div class="title_<?php echo $label_pos; ?>"><?php html($field['title']); ?>: </div>
            <?php } ?>
			<?php 
				$itp = false;
				if($field['name']=='content'){$itp = 'itemprop="description"';}
				if($field['type']=='image'){$itp = 'itemprop="image" itemscope itemtype="https://schema.org/ImageObject"';}
				
			?>
			<div class="value" <?php echo $itp ? $itp : false; ?> >

                <?php
                    echo $field['html'];
                ?>

            </div>

        </div>

    <?php } ?>

    <?php if ($props && $props_values) { ?>
        <?php
            $props_fields = $this->controller->getPropsFields($props);
            $props_fieldsets = cmsForm::mapFieldsToFieldsets($props);
        ?>
        <div class="content_item_props <?php echo $ctype['name']; ?>_item_props">
            <table>
                <tbody>
                    <?php foreach($props_fieldsets as $fieldset){ ?>
                        <?php if ($fieldset['title']){ ?>
                            <tr>
                                <td class="heading" colspan="2"><?php html($fieldset['title']); ?></td>
                            </tr>
                        <?php } ?>
                        <?php if ($fieldset['fields']){ ?>
                            <?php foreach($fieldset['fields'] as $prop){ ?>
                                <?php if (isset($props_values[$prop['id']])) { ?>
                                <?php $prop_field = $props_fields[$prop['id']]; ?>
                                    <tr>
                                        <td class="title"><?php html($prop['title']); ?></td>
                                        <td class="value">
                                            <?php echo $prop_field->parse($props_values[$prop['id']]); ?>
                                        </td>
                                    </tr>
                                <?php } ?>
                            <?php } ?>
                        <?php } ?>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    <?php } ?>

    <?php
        $hooks_html = cmsEventsManager::hookAll("content_{$ctype['name']}_item_html", $item);
        if ($hooks_html) { echo html_each($hooks_html); }
    ?>
	<?php if (isset($ctype['is_favorites']) && $ctype['is_favorites']){ ?>
		<div class="fav_butt"><?php echo $item['favorite_widget']; ?></div>
	<?php } ?>
    <?php if (isset($ctype['options']['hits_on'])){ ?><button class="btn btn-default view_butt"> <i class="fa fa-eye"></i> <span><?php echo html_spellcount($item['hits_count'], 'просмотр|просмотра|просмотров'); ?></span> <b><?php html($item['hits_count']); ?></b></button><?php } ?>	
	<?php if(!empty($item['rating_widget'])){ ?><div class="sc_toggle_b"><?php echo $item['rating_widget']; ?></div><?php } ?>
    <?php $is_tags = $ctype['is_tags'] && !empty($ctype['options']['is_tags_in_item']) && $item['tags']; ?>
    <?php if ($is_tags){ ?>
		<div class="tags_bar">
			<?php echo html_tags_bar($item['tags']); ?>
			<?php if (isset($item['favorite_tags'])) { echo $item['favorite_tags']; } ?>
		</div>
		<?php if (isset($ctype['is_favorites']) && $ctype['is_favorites']) { echo $ctype['favorite_tags_form']; } ?>
	<?php } ?>
	<?php
        $show_bar = $fields['date_pub']['is_in_item'] ||
                    $fields['user']['is_in_item'] ||
					!$item['is_pub'] ||
                    !$item['is_approved'];
    ?>
	<?php if ($ctype['item_append_html']){ ?>
        <div class="append_html"><?php echo $ctype['item_append_html']; ?></div>
    <?php } ?>

    <?php if ($show_bar){ ?>
        <div class="info_bar">
            <?php if ($fields['date_pub']['is_in_item']){ ?>
                <div class="bar_item bi_date_pub" title="<?php html( $fields['date_pub']['title'] ); ?>">
                    <?php echo $fields['date_pub']['html']; ?>
                </div>
            <?php } ?>
            <?php if (!$item['is_pub']){ ?>
                <div class="bar_item bi_not_pub">
                    <?php echo LANG_CONTENT_NOT_IS_PUB; ?>
                </div>
            <?php } ?>
            <?php if ($fields['user']['is_in_item']){ ?>
                <div class="bar_item bi_user" itemprop="author" itemscope itemtype="https://schema.org/Person" title="<?php html( $fields['user']['title'] ); ?>">
                    <?php echo '<a href="/users/'.$item['user']['id'].'" itemprop="name">'.$item['user']['nickname'].'</a>'; ?>
                </div>
                <?php if (!empty($item['folder_title'])){ ?>
                    <div class="bar_item bi_folder">
                        <a href="<?php echo href_to('users', $item['user']['id'], array('content', $ctype['name'], $item['folder_id'])); ?>"><?php echo $item['folder_title']; ?></a>
                    </div>
                <?php } ?>
            <?php } ?>
            <div class="bar_item bi_share">
                <div class="share" style="margin:-4px">
                    <script type="text/javascript" src="//yandex.st/share/share.js" charset="utf-8"></script>
                    <div class="yashare-auto-init" data-yashareL10n="ru" data-yashareType="none" data-yashareQuickServices="yaru,vkontakte,facebook,twitter,odnoklassniki,moimir,lj,gplus"></div>
                </div>
            </div>
            <?php if (!$item['is_approved']){ ?>
                <div class="bar_item bi_not_approved">
                    <?php echo LANG_CONTENT_NOT_APPROVED; ?>
                </div>
            <?php } ?>
        </div>
    <?php } ?>

	<div itemprop="interactionStatistic" itemscope itemtype="http://schema.org/InteractionCounter">
		<meta itemprop="interactionType" content="http://schema.org/CommentAction"/>
		<meta itemprop="userInteractionCount" content="<?php html($item['comments']); ?>" />
		<link itemprop="interactionType" href="http://schema.org/WatchAction" />
		<meta itemprop="userInteractionCount" content="<?php html($item['hits_count']); ?>" />
	</div>
	<publisher itemprop="publisher" itemscope itemtype="https://schema.org/Organization">
		<meta itemprop="name" content="<?php html($item['user']['nickname']); ?>">
		<div itemprop="logo" itemscope itemtype="https://schema.org/ImageObject">
			<img src="<?php echo $host; ?>/upload/default/avatar_micro.png" style="display:none;" />
			<meta itemprop="url" content="<?php echo $host; ?>/upload/default/avatar_micro.png">
			<meta itemprop="width" content="32">
			<meta itemprop="height" content="32">
		</div>
	</publisher>   
	<meta itemprop="datePublished" content="<?php html($item['date_last_modified']); ?>" />
	<meta itemprop="dateModified" content="<?php html($item['date_pub']); ?>" />
	<meta itemprop="headline" content="<?php html($item['title']); ?>" />
	<span itemprop="articleSection" style="display:none;">
		<a itemprop="url" href="."><section itemprop="name"><?php echo $cat; ?></section></a>
	</span>
	
</div>
